GET

/v1/schemas/fal/video/fal-ai%2Fkling-video%2Fo1%2Fvideo-to-video%2Freference

kind inputactivity videohash 57859d0dextracted Jul 6, 2026version currentsource upstream spec ↗

Request body

7 properties · 2 required · 1 $defs
propertytypedescriptionconstraints
video_url*stringReference video URL. Only .mp4/.mov formats supported, 3-10 seconds duration, 720-2160px resolution, max 200MB.
prompt*stringUse @Element1, @Element2 to reference elements and @Image1, @Image2 to reference images in order.length ≤ 2500
elementsOmniVideoElementInput[]Elements (characters/objects) to include. Reference in prompt as @Element1, @Element2, etc. Maximum 4 total (elements + reference images) when using video.nullable
keep_audiobooleanWhether to keep the original audio from the video.default: false
image_urlsstring[]Reference images for style/appearance. Reference in prompt as @Image1, @Image2, etc. Maximum 4 total (elements + reference images) when using video.nullable
aspect_ratioenumThe aspect ratio of the generated video frame. If 'auto', the aspect ratio will be determined automatically based on the input video, and the closest aspect ratio to the input video will be used.auto | 16:9 | 9:16 | 1:1 · default: "auto"
durationenumVideo duration in seconds.3 | 4 | 5 | 6 | 7 | 8 · +2 more · default: "5"

Validate a payload

before you spend tokens
shell
$ curl -X POST https://modelschemas.com/v1/validate \
    -d '{"provider":"fal","endpointId":"fal-ai/kling-video/o1/video-to-video/reference","payload":{…}}'
→ {"valid": false, "errors": [{"path": "#", "keyword": "required", …}]}